﻿<%@ Control Language="VB" AutoEventWireup="true" CodeFile="WebUserControl.ascx.vb" Inherits="lv_event_in_ttip_WebUserControl" %>

<asp:ListView runat="server" ID="lvEvents" DataSourceID="odsEvents">
	<LayoutTemplate>
		<div style="max-height: 250px; overflow-y: auto">
			<asp:PlaceHolder runat="server" ID="itemPlaceHolder"></asp:PlaceHolder>
		</div>
	</LayoutTemplate>
	<ItemTemplate>
		<asp:Label runat="server" ID="lblStartDate" Text='< %#Eval("StartDate")%>' Visible="false"></asp:Label>
		<asp:Label runat="server" ID="lblEndDate" Text='< %#Eval("EndDate")%>' Visible="false"></asp:Label>
		<div style="margin-bottom: 5px">
			<b>Category</b><br />
			< %#Eval("Category")%>
		</div>
		<div style="margin-bottom: 5px">
			<b>Title</b><br />
			<asp:Label runat="server" ID="lblTitle" Text='<%#Eval("VehicleName")%>'></asp:Label>
		</div>
		<div style="margin-bottom: 5px">
			<b>Time</b><br />
			< %#Eval("StartDate", "{0:hh:mm tt}")%> to < %#Eval("EndDate", "{0:hh:mm tt}")%>
		</div>
		<div style="margin-bottom: 5px">
			<b>Location</b><br />
			<asp:Label runat="server" ID="lblLocation" Text='< %#Eval("Location")%>'></asp:Label>
		</div>
		<div style="margin-bottom: 5px">
			<b>Description</b><br />
			<asp:Label runat="server" ID="lblDescription" Text='<%#Eval("AverageRating")%>'></asp:Label>
		</div>
		<div>
			<asp:LinkButton ID="Linkbutton1" Text="Export" CommandName="Export" runat="server" />
			<%--<des:linkbutton runat="server" id="btnExport" text="Export" commandname="Export"></des:linkbutton>--%>
		</div>
	</ItemTemplate>
	<ItemSeparatorTemplate>
		<hr />
	</ItemSeparatorTemplate>
</asp:ListView>
<asp:ObjectDataSource ID="odsEvents" runat="server" DataObjectTypeName="CalendarEvent"
	TypeName="CalendarEvent" SelectMethod="GetEventsList">
<%--	<SelectParameters>
		<asp:Parameter Name="CalendarId" Type="Int32" DefaultValue="101" />
		<asp:Parameter Name="StartDate" Type="DateTime" />
		<asp:Parameter Name="EndDate" Type="DateTime" />
		<asp:Parameter Name="CategoryId" Type="Int32" />
	</SelectParameters>--%>
</asp:ObjectDataSource>
